@import './base.css';

#app {
  margin: 0 auto;

  font-weight: normal;
}

a {
  text-decoration: none;
  color: #1b1b1b;
}

thead, thead > tr > th {
  font-weight: bold;
}

h1 {
  padding: 12px;
  color: rgb(0, 143, 251);
}

.chart-title {
  overflow: hidden;
  white-space: nowrap;
  text-overflow: "...";
}

table {
  width: 100%;

  &.text-center {
    text-align: center;
  }
}

.chart-list {
  display: grid;
  grid-template-columns: repeat(10, 10%);
  grid-auto-rows: 324px;

  .chart {
    margin: 12px;
    padding: 12px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.25);

    .chart-title {
      border-bottom: 1px solid rgba(0, 0, 0, 0.25);
      margin-bottom: 6px;

      &.no-filter {
        h3:before {
          content: '* ';
          display: inline;
          color: red;
        }
      }
    }

    .chart-visualization {
      height: calc(100% - 30px);

      &.single-line {
        display: flex;
        font-size: 48px;
        justify-content: center;
        align-items: center;
      }
    }

    &.extra-small-width {
      grid-column-end: span 2;
    }

    &.small-width {
      grid-column-end: span 3;
    }
    &.medium-width {
      grid-column-end: span 4;
    }
    &.medium-large-width {
      grid-column-end: span 5;
    }
    &.large-width {
      grid-column-end: span 10;
    }

    &.large-height {
      grid-row-end: span 2;
    }

    &.medium-large-height {
      grid-row-end: span 3;
    }

    &.extra-large-height {
      grid-row-end: span 4;
    }

    &.xxl-to-end-height {
      grid-row-end: span 13;

      position: relative;

      .filter-list {
        position: absolute;
        padding-right: 12px;
        top: var(--filter-list-top);
      }
    }
  }
}

.filter {
  padding: 6px 0;
  &:not(:last-child) {
    margin-bottom: 24px;
  }

  .slider-horizontal {
    margin-top: 48px;
    padding-left: 16px;
    padding-right: 8px;
  }

  .multi-checkbox {
    &:not(:last-child) {
      padding-right: 16px;
    }
    label {
      padding-left: 4px;
    }
  }
}

.message {
  padding: 6px 6px 6px 12px;
  margin-bottom: 16px;
  &.information {
    border-left: 4px solid dodgerblue;
  }
  &.warning {
    border-left: 4px solid darkorange;
  }
}

[type="checkbox"] {
  vertical-align: middle;
}

.wrapper {
  &:not(.no-global-filters) {
    display: grid;
    --grid-width: 400px;
    grid-template-columns: calc(100% - var(--grid-width)) var(--grid-width);

    .filter-list {
      box-sizing: border-box;
      padding: 0 28px 20px 20px;
      position: fixed;
      right: 0;
      width: var(--grid-width);
      top: 100px;
      bottom: 0;
      overflow-y: scroll;
    }

    .no-filter:not(.chart-title) {
      color: red;
    }
  }
  &.no-global-filters {
    display: block;
  }
}

.page-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.page-navigation {
  padding: 12px;
  a {
    margin: 0 15px;
    padding: 12px;
    font-weight: bold;

  }
}

.research-question {
  margin: 0 12px 12px;
  padding: 6px 12px;
  border-left: 4px solid dodgerblue;
}

.router-link-active {
  color: dodgerblue;
}
th {
  padding: 2px 4px;
}

.color-green {
  color: green;
}

.color-red {
  color: red;
}

.bold {
  font-weight: bold;
}